Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class Time

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.Time

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class Time

extends ASN1Encodable
implements ASN1Choice

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`Time(java.util.Date date)` creates a time object from a given date - if the date is between 1950 and 2049 a UTCTime object is generated, otherwise a GeneralizedTime is used.
`Time(DERObject time)`

Method Summary
`java.util.Date` | `getDate()`
`static Time` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static Time` | `getInstance(java.lang.Object obj)`
`java.lang.String` | `getTime()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Time

    public Time(DERObject time)

### Time

    public Time(java.util.Date date)

  creates a time object from a given date - if the date is between 1950 and 2049 a UTCTime object is generated, otherwise a GeneralizedTime is used.

Method Detail

### getInstance

    public static Time getInstance(ASN1TaggedObject obj,
                                   boolean explicit)

### getInstance

    public static Time getInstance(java.lang.Object obj)

### getTime

    public java.lang.String getTime()

### getDate

    public java.util.Date getDate()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       Time ::= CHOICE {
                   utcTime        UTCTime,
                   generalTime    GeneralizedTime }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD